For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • GETList subscriptions
      • POSTCreate subscription
      • GETGet subscription
      • DELDelete subscription
      • PATCHUpdate subscription
  • Event Reference
API ReferenceEvent Subscriptions

Create subscription

POST
https://api.plextera.com/api/public/v1/event-subscriptions
POST
/api/public/v1/event-subscriptions
$curl -X POST https://api.plextera.com/api/public/v1/event-subscriptions \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "endpointUrl": "string",
> "eventTypes": [
> "document-insights.extraction.completed"
> ],
> "signingSecret": "string"
>}'
201Created
1{
2 "id": "string",
3 "status": "active",
4 "endpointUrl": "string",
5 "eventTypes": [
6 "document-insights.extraction.completed"
7 ],
8 "filters": {
9 "workflowId": "claims-loader"
10 },
11 "createdAt": "2024-01-15T09:30:00Z",
12 "updatedAt": "2024-01-15T09:30:00Z"
13}
Was this page helpful?
Previous

Get subscription

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Request

This endpoint expects an object.
endpointUrlstringRequiredformat: "^https://.+$">=1 character
eventTypeslist of enumsRequired
Allowed values:
signingSecretstringRequired>=1 character

Shared secret used to sign webhook deliveries. Plextera sends X-Plextera-Signature as t=<unix timestamp>,v1=<HMAC-SHA256(timestamp + ’.’ + raw request body)>.

filtersobjectOptional

Response

Created
idstring
statusenum
Allowed values:
endpointUrlstring
eventTypeslist of enums
Allowed values:
filtersobject
createdAtdatetime
updatedAtdatetime